#' vectorize.list
#'
#' @param file1 A
#' @param ... A
#' @export
vectorize.list <- function(data, matrix.vars="data")
{
  # Vectorize matrix elements
  if("time" %in% names(data)) {
    for(var in c(matrix.vars))
    {
      dim(data[[var]]) <- c(length(data$x.coords)*length(data$y.coords),length(data$time))
    }
  } else {
    for(var in c(matrix.vars))
    {
      dim(data[[var]]) <- c(length(data$x.coords)*length(data$y.coords),1)
    }
  }
  # Vectorize other elements
  for(var in names(data)) {
    if(!(var %in% c(matrix.vars))){
      data[[var]] <- c(data[[var]])
    }
  }
  if(!"x.coords" %in% names(data) & !"y.coords" %in% names(data)) {
    stop("Both x.coords and y.coords variables must exist in the list to be vectorized")
  }
  # Create x and y indices vectors
  data$x.indices=rep(seq_along(data$x.coords), times=length(data$y.coords))
  data$y.indices=rep(seq_along(data$y.coords), each=length(data$x.coords))
  class(data)=c("vectdata","list")
  return(data)
}



