compute.temporal.cluster.internal<- function(timestamps, time, temporal.step)
{
  lower.temporal.bound <- (time-temporal.step) %% 365
  higher.temporal.bound <- (time+temporal.step) %% 365
  if(lower.temporal.bound < higher.temporal.bound)
  {
    time.cluster <- seq(lower.temporal.bound, higher.temporal.bound)
  }else if(lower.temporal.bound == higher.temporal.bound){
    time.cluster <- time
  }else
  {
    time.cluster <- c(seq(lower.temporal.bound,366), seq(1,higher.temporal.bound))
  }
  time.cluster <- which(as.integer(strftime(timestamps, format = "%j")) %in% time.cluster)
  return(time.cluster)
}


#' Title
#'
#' @param x A
#' @param ... A
#' @export
compute.temporal.cluster <- function(data, params.qm, ncores=1, output.file=NULL)
{
  if(!is.null(output.file)) {
    if(!dir.exists(dirname(output.file))) {
      stop(paste0("Output directory '",dirname(output.file),"' does not exist"))
    }
    else if(file.access(".", mode=2)==-1) {
      stop(paste0("Output directory '",dirname(output.file),"' seems to benot writable"))
    }
  }
  if(is.null(params.qm$spatial.step)) {
    stop("spatial.step must to exist in params.qm")
  }
  #Remove useless data
  data$data = NULL

  timestamps <- data$time.date

  `%do%` <- foreach::`%do%`
  temporal.cluster <- foreach::foreach(time=c(1:366)) %do% {
    compute.temporal.cluster.internal(timestamps, time,
                                    params.qm$temporal.step)
  }

  if(!is.null(output.file)) {
    saveRDS(temporal.cluster,paste0(output.file))
  }
  return(temporal.cluster)
}
