# SnowQM

SnowQM is an `R` library for correcting snow water equivalent (SWE) grids, called the model data (i.e. the measurements or model output data to be corrected), in order to match another set of SWE grids, the training data (reflecting, for instance, "ground truth data"). The SWE correction is performed by QM. The quantile distributions construction depends on 7 free parameters. The quantile distributions are calculated over a calibration period (training phase of the QM) and are applied to both the calibration and an independent validation period (application of the QM) in order to assess the correction quality. Once trained, the QM can also be applied to the remaining part of the model data not used for calibration and validation.

For more details, see the package vignette and Michel et al. (2022), SnowQM 1.0: A fast R Package for bias-correcting spatial fields of snow water equivalent using quantile mapping, GMD, under review.

# Installation
Download the package, then navigate to the package from within `R`:
  ```
  setwd(".../SnowQM")
  ```
If not already installed, install the `devtools` library:
```
install.packages("devtools")
```
Install SnowQM:
```
devtools::install(build_vignettes = TRUE)
```
# Usage
After installation, restart your `R` environment. Then load snowQM using:
```
library(SnowQM)
```
Display the documentation summary using:
```
help(package = 'SnowQM')
```
Use the vignette for a step-by-step example:
```
vignette(package = "SnowQM","snowqm")
```
# Author
Adrien Michel, 2022 (WSL/SLF and MeteoSwiss)
# Citation
Michel et al. (2022), SnowQM 1.0: A fast R Package for bias-correcting spatial fields of
snow water equivalent using quantile mapping, GMD, under review
