% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qm_quantile_application.R
\name{apply.model}
\alias{apply.model}
\title{Apply the trained QM model to a given dataset}
\usage{
apply.model(
  in.data.file,
  out.data.file,
  quantile.path,
  ncores,
  correct.first = TRUE
)
}
\arguments{
\item{in.data.file}{Dataset on which the QM model should be applied. Dataset
should be a RDS file in a vectdata format (see \code{\link{vectorize.list()}})}

\item{out.data.file}{Path of the file to write the corrected dataset. Dataset
will be a RDS file in a vectdata format (see \code{\link{vectorize.list()}})}

\item{ncores}{number of cores to be used}

\item{source.path}{Directory containing the directories with quantile distributions of the
training and target datasets (see \code{\link{vectorize.list()}})}
}
\description{
\code{apply.model} applies a trained QM model (see
\code{\link{compute.quantiles()}}) to the dataset given as input.
}
\author{
Adrien Michel, 2021 (WSL/SLF)
}
