% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils_asssess_model.R
\name{assessment.plot.calib}
\alias{assessment.plot.calib}
\title{Produce plots to assess the downscaling quality}
\usage{
assessment.plot.calib(
  data.training.calib.file,
  data.model.calib.file,
  data.corrected.calib.file,
  data.training.valid.file,
  data.model.valid.file,
  data.corrected.valid.file,
  out.plot.dir,
  swe.threshold,
  dist.threshold,
  ma.value = 7,
  ncores = 1,
  mask.files = NULL
)
}
\arguments{
\item{out.plot.dir}{Directory where the plots and RDS data should be saved}

\item{swe.threshold}{The threshold value to define snow day in order to
compute the length of the snow season}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{data.model.file}{Dataset containing the model data. Dataset
should be a RDS file in a vectdata format (see \code{\link{vectorize.list()}})}

\item{data.training.file}{Dataset containing the training data. Dataset
should be a RDS file in a vectdata format (see \code{\link{vectorize.list()}})}

\item{data.corrected.file}{Dataset containing the corrected data. Dataset
should be a RDS file in a vectdata format (see \code{\link{vectorize.list()}})}
}
\description{
\code{assessment.plot} produces two files (<out.plot.dir>/summary.pdf and
<out.plot.dir>/seasonnal_summary.pdf) to asses the quality of the downscaling.
The plots are produced using: \code{\link{plt.seasonnal.summary.details()}},
\code{\link{plt.seasonnal.summary()}}, \code{\link{plt.snow.season.length()}},
and \code{\link{plt.snow.days.comparison()}}. Data used to produce the plots
are saved as RDS files.
}
\author{
Adrien Michel, 2021 (WSL/SLF)
}
