% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_sesonnal.R
\name{compute.data.season.mean}
\alias{compute.data.season.mean}
\title{xxxxxx
\code{compute.data.season.mean.calib} produces plots showing the difference
between the corrected model and the training dataset and between the model
dataset and the training dataset in order to assess the improvements brought by
the correction. the analysis is performed for each seasons (all days in a
season are aggregated together across years) and each pixel using a function
passed as input. It returns a seasonal aggregated dataset to be passed to
\code{\link{plt.season.diff()}}. This function is intended to be called
from its wrapper function \code{\link{plt.seasonnal.summary.details()}}. See
the wrapper function documentation for more details.}
\usage{
compute.data.season.mean(data)
}
\arguments{
\item{data.training}{The training dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{data.model}{The model dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{data.corrected}{the corrected dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{fun}{The function to be used for the analysis (mean, max, or num.snow.days)}

\item{swe.threshold}{The threshold value to define snow day, in mSWE, needed
if fun = num.snow.days}
}
\value{
A list with entries "model" and "corrected" containing each a list
of the four seasons. Seasonal lists contain the seasonally aggregated difference
between the model/corrected datasets and the training dataset for each pixel.
To be used as input in \code{\link{plt.seasonnal.summary.general()}}.
}
\description{
xxxxxx
\code{compute.data.season.mean.calib} produces plots showing the difference
between the corrected model and the training dataset and between the model
dataset and the training dataset in order to assess the improvements brought by
the correction. the analysis is performed for each seasons (all days in a
season are aggregated together across years) and each pixel using a function
passed as input. It returns a seasonal aggregated dataset to be passed to
\code{\link{plt.season.diff()}}. This function is intended to be called
from its wrapper function \code{\link{plt.seasonnal.summary.details()}}. See
the wrapper function documentation for more details.
}
\author{
Adrien Michel, 2022 (WSL/SLF and MeteoSwiss)
}
