% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/io_mask_computation.R
\name{get.filter.mask.vectdata}
\alias{get.filter.mask.vectdata}
\title{get.filter.mask.vectdata}
\usage{
get.filter.mask.vectdata(
  vectdata,
  swe.threshold = NULL,
  elevation.limit = NULL
)
}
\arguments{
\item{vectdata}{a vectdata object}

\item{swe.threshold}{threshold (in mSWE) to define snow towers}

\item{elevation.limit}{elevation limit above which pixels are masked}
}
\value{
a vectdatamask object
}
\description{
Compute a mask (in vectdatamask format, see \code{\link[=get.mask.na.vectdata]{get.mask.na.vectdata()}}
for details about these objects) based on elevation and snow towers
in a given vectdata object (see \code{\link[=vectorize.list]{vectorize.list()}} for details about these
objects).
}
\details{
Snow towers are defined by pixel having on average a SWE value greater than
a given threshold on teh 31st of August.
}
\author{
Adrien Michel, 2022 (WSL/SLF and MeteoSwiss)
}
