% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_sesonnal.R
\name{plt.seasonnal.summary.details.calib}
\alias{plt.seasonnal.summary.details.calib}
\title{Plot detailed seasonal performance of the model}
\usage{
plt.seasonnal.summary.details.calib(
  data.training.calib,
  data.model.calib,
  data.corrected.calib,
  data.training.valid,
  data.model.valid,
  data.corrected.valid,
  out.plot.dir = NULL
)
}
\arguments{
\item{out.plot.dir}{If set, plots are printed to a pdf file in
<out.plot.dir>/seasonnal_summary.pdf}

\item{data.training}{The training dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{data.model}{The model dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{data.corrected}{the corrected dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{swe.threshold}{The threshold value to define snow day, in mSWE, needed
if fun = num.snow.days}
}
\value{
A list containing one list per aggregating function ()
Each list  contains a list with entries "model" and "corrected" containing
each a list of the four seasons. Seasonal lists contain the seasonally aggregated
difference between the model/corrected datasets and the training dataset for
each pixel. To be used as input in \code{\link{plt.season.diff()}}.
}
\description{
\code{plt.seasonnal.summary.details} is a wrapper function for
\code{\link{plt.season.diff()}} calling it for multiple aggregation
functions (\code{\link{mean()}}, showing the mean seasonal SWE error,
\code{\link{max()}}, showing the max seasonal SWE error, and
\code{\link{num.snow.days()}} the seasonal error in snow days count). Error are
computed as the difference between the model and training dataset and between
the corrected and training dataset. Eventually prints the plots to a pdf file.
Returns a list to be used as input in \code{\link{plt.seasonnal.summary()}}
to plot a summary of the results.
}
\author{
Adrien Michel, 2021 (WSL/SLF)
}
