% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_snow_days.R
\name{plt.snow.days.comparison}
\alias{plt.snow.days.comparison}
\title{Plot details about agreement in number of snow covered days}
\usage{
plt.snow.days.comparison(
  data.training,
  data.model,
  data.corrected,
  ncores,
  swe.threshold
)
}
\arguments{
\item{data.training}{The training dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{data.model}{The model dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{data.corrected}{the corrected dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{swe.threshold}{The threshold SWE value to define snow days}

\item{out.plot.dir}{Path in which the RDS files should be saved. Three files are
created: snow_season_training, snow_season_model, snow_season_corrected}
}
\description{
\code{plt.snow.days.comparison} produces barplots (see
\code{\link{barplot()}}) of the fraction of agreement and disagreement in term
of snow covered days between the training and the model dataset and between
the training and corrected dataset. Agreement is snow per year, aggregated for
all the pixels. Agreement is snow in term of true positive (both predict a
snow covered day), true negative (both predict a snow free day),
false positive (training predicts a snow free day, but model/corrected
predicts a snow covered day), and false negative (training predicts a snow
covered day, but model/corrected predicts a snow free day). Data to
produce the plots are also saved into a RDS file
}
\author{
Adrien Michel, 2021 (WSL/SLF)
}
