% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_snow_season.R
\name{plt.snow.season.length}
\alias{plt.snow.season.length}
\title{Plot details about the seasonal snow cover length}
\usage{
plt.snow.season.length(
  data.training,
  data.model,
  data.corrected,
  ncores,
  swe.threshold,
  ma.value
)
}
\arguments{
\item{data.training}{The training dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{data.model}{The model dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{data.corrected}{the corrected dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{swe.threshold}{The threshold value to define snow day in order to
compute the length of the snow season}

\item{ma.value}{Number of day to apply for moving average function on SWE
before computing the length of the snow seasons.}

\item{out.plot.dir}{Path in which the RDS files should be saved. Three files are
created: snow_season_training, snow_season_model, snow_season_corrected}
}
\description{
\code{plt.snow.season.length} produces violin plots (see
\code{\link{vioplot()}}) of the annual snow seasons length for each pixels.
Snow season lengths are shown for the training dataset, the model dataset,
and the corrected dataset.Snow seasons length are computed as the longest
sequence of days where SWE exceeds the threshold given as input for each year
(September to August). A circular moving average is applied to SWE time series
beforehand (controlled through the \code{ma.value} input parameter). Data to
produce the plots are also saved into a RDS file
}
\author{
Adrien Michel, 2021 (WSL/SLF)
}
