% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/io_mask_computation.R
\name{read.mask.tif}
\alias{read.mask.tif}
\title{read.mask.tif}
\usage{
read.mask.tif(filename, val.to.remove = NULL, x.shift = 0, y.shift = 0)
}
\arguments{
\item{filename}{path of the GeoTIFF file}

\item{val.to.remove}{values to be used in adition to NA to define teh mask}

\item{x.shift}{shift in x direction to apply to the data (in x.coords.dim unit)}

\item{y.shift}{shift in y direction to apply to the data (in y.coords.dim unit)}
}
\value{
a vectdatamask object
}
\description{
Compute a mask (in vectdatamask format, see \code{\link[=get.mask.na.vectdata]{get.mask.na.vectdata()}}
for details about these objects) based on the values in an GeoTIFF file. All
NA values and all values equal to the parameter \code{val.to.remove} are used to
define the masked area
}
\author{
Adrien Michel, 2022 (WSL/SLF and MeteoSwiss)
}
