% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/io.R
\name{read.swe}
\alias{read.swe}
\title{read.swe}
\usage{
read.swe(
  data.path,
  start = NULL,
  end = NULL,
  count = NULL,
  data.dim = "SWE",
  x.coords.dim = "chx",
  y.coords.dim = "chy",
  mask = NULL,
  dem.path,
  x.shift = 0,
  y.shift = 0,
  curvature.scale = NA,
  silent = FALSE
)
}
\arguments{
\item{data.path}{path of the NetCDF file}

\item{start}{timestep at which the reading should start}

\item{end}{timestep at which the reading should end (mutually exclusive with count)}

\item{count}{number of timestep to read (mutually exclusive with end)}

\item{data.dim}{name of the dimension containing the SWE data in the NetCDF file}

\item{x.coords.dim}{name of the dimension containing the x coordinates in the
NetCDF file}

\item{y.coords.dim}{name of the dimension containing the y coordinates in the
NetCDF file}

\item{mask}{mask (in vectdatamask format, see \code{\link[=get.mask.na.vectdata]{get.mask.na.vectdata()}}
for details about these objects) to apply to the data}

\item{dem.path}{path of the DEM file (in ASCII grid) to use, should use the
same coordinate system as the NetCDF file}

\item{x.shift}{shift in x direction to apply to the DEM (in x.coords.dim unit)}

\item{y.shift}{shift in y direction to apply to the DEM (in y.coords.dim unit)}

\item{curvature.scale}{distance to be used to compute the curvature (in the
same units as in the NetCDF file)}

\item{silent}{should debug output be printed}
}
\value{
a vectdata object containing all the data (see \code{\link[=vectorize.list]{vectorize.list()}} for
details about these objects).
}
\description{
\code{read.swe} reads SWE data from a NetCDF file and returns a vectdata
object containing all the data (see \code{\link[=vectorize.list]{vectorize.list()}} for details
about these objects).
}
\author{
Adrien Michel, 2022 (WSL/SLF and MeteoSwiss)
}
