% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_snow_days.R
\name{snow.days.comparison}
\alias{snow.days.comparison}
\title{Compute details about agreement in number of snow covered days}
\usage{
snow.days.comparison(data.1, data.2, ncores, swe.threshold = 0.005)
}
\arguments{
\item{data.1}{The training dataset (a vectdata object, see
\code{\link{vectorize.list()}})}

\item{data.2}{The dataset to be compared to training dataset (a vectdata object,
see \code{\link{vectorize.list()}})}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{swe.threshold}{The threshold SWE value to define snow days}
}
\value{
A truth table (one column per year) comparing the two datasets.
Lines are 0 = true negative, 1 = false negative, 2 = false positive,
4 =  true positive.
}
\description{
\code{snow.days.comparison} is an internal function of
\code{\link{plt.snow.days.comparison()}}. It compares the two given datasets.
For details see \code{\link{plt.snow.days.comparison()}}
}
\author{
Adrien Michel, 2021 (WSL/SLF)
}
